curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"name": "Name",
"value": "Value"
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2024-03-14T20:34:08.000Z",
"changeTime": "2024-03-14T20:38:39.000Z",
"name": "Name",
"value": "Value",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": null
},
"code": "201",
"message": "Placeholder updated"
}
Placeholder
Update placeholder
Update an existing placeholder.
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"name": "Name",
"value": "Value"
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2024-03-14T20:34:08.000Z",
"changeTime": "2024-03-14T20:38:39.000Z",
"name": "Name",
"value": "Value",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": null
},
"code": "201",
"message": "Placeholder updated"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
required
Key of the contract.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"name": "Name",
"value": "Value"
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2024-03-14T20:34:08.000Z",
"changeTime": "2024-03-14T20:38:39.000Z",
"name": "Name",
"value": "Value",
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": null
},
"code": "201",
"message": "Placeholder updated"
}
⌘I